#### D.15.2.29 deltaNNB

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  deltaNNB(f); f poly or Poly or NormalForm

Return:
  a List with entries d,n, where d is the Delta invariant and n is the number of branches of f (or f.value or f.phi.sourcegerm.value), if f (or f.value or f.phi.sourcegerm.value)
  is equivalent to a germ with a nondegenerate Newton Boundary, or an ERROR message otherwise

Example:

    LIB "arnold.lib";
    ring R=0,(x,y),ds;
    poly f = x^9+x^2*y^4+y^2*x^4+y^8+x^3*y^5+y^2*x^5;
    Poly F = makePoly(f);
    NormalForm N = determineNormalForm(F);
    deltaNNB(f);
    ==> [1]:
    ==>    17
    ==> [2]:
    ==>    5
    deltaNNB(F);
    ==> [1]:
    ==>    17
    ==> [2]:
    ==>    5
    deltaNNB(N);
    ==> [1]:
    ==>    17
    ==> [2]:
    ==>    5

User manual for Singular version 4.4.1, 2025, generated by texi2html.